package com.steerinfo.ems.coredasabnormalinfo.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.ems.coredasabnormalinfo.model.CoredasAbnormalInfo;
import com.steerinfo.ems.coredasabnormalinfo.mapper.CoredasAbnormalInfoMapper;
import com.steerinfo.ems.coredasabnormalinfo.service.ICoredasAbnormalInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.math.BigDecimal;

/**
 * CoredasAbnormalInfo服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-04-20 10:09
 * 类描述
 * 修订历史：
 * 日期：2021-04-20
 * 作者：generator
 * 参考：
 * 描述：CoredasAbnormalInfo服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "coredasAbnormalInfoService")
public class CoredasAbnormalInfoServiceImpl extends BaseServiceImpl<CoredasAbnormalInfo, String> implements ICoredasAbnormalInfoService {

    @Autowired
    private CoredasAbnormalInfoMapper coredasAbnormalInfoMapper;

    @Override
    protected IBaseMapper<CoredasAbnormalInfo, String> getMapper() {
        return coredasAbnormalInfoMapper;
    }

	@Override
	public List<Map<String, Object>> getCoredasData(Map<String, Object> parmas) {
		return coredasAbnormalInfoMapper.getCoredasData(parmas);
	}

	@Override
	public List<Map<String, Object>> getCoredasStdData(Map<String, Object> parmas) {
		return coredasAbnormalInfoMapper.getCoredasStdData(parmas);
	}

	@Override
	public List<Map<String, Object>> getEmsCoredas(Map<String, Object> parmas) {
		return coredasAbnormalInfoMapper.getEmsCoredas(parmas);
	}

	@Override
	public PageList<CoredasAbnormalInfo> getEmsCoredasWarnHis(Map<String, Object> parmas, Integer pageNum,
			Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
        List<CoredasAbnormalInfo> rows = coredasAbnormalInfoMapper.getEmsCoredasWarnHis(parmas);
        PageList<CoredasAbnormalInfo> pageInfo = new PageList<CoredasAbnormalInfo>(rows);
		return pageInfo;
	}
}
